<?php

App::uses('AppComponent', 'Controller/Component');

class AddressManagerComponent extends AppComponent {

	/**
	 * get all the address for a given model / model_id
	 *
	 * @param 	string 	$model  	The model the data belongs to
	 * @param 	int 	$modelId 	The id the address relates to
	 * @return 	array
	 */
	public function getAddresses($model, $modelId) {
		$Address = EvClassRegistry::init('EvAddressBook.Address');

		return $Address->getAddresses($model, $modelId);
	}
}
